aboutsummaryrefslogtreecommitdiffstats
path: root/main/audacious/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-04-26 08:50:58 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-04-26 08:50:58 +0000
commit180700192ce9edd99c66a7c91adbe2593dedc864 (patch)
tree72ff01af626b9414eafa8fd8124a78beb921be83 /main/audacious/APKBUILD
parentd3dd4a4d486766bf565f73bd9410d265fd9de693 (diff)
downloadaports-180700192ce9edd99c66a7c91adbe2593dedc864.tar.gz
aports-180700192ce9edd99c66a7c91adbe2593dedc864.tar.bz2
aports-180700192ce9edd99c66a7c91adbe2593dedc864.tar.xz
main/audacious: upgrade to 3.2.2
Diffstat (limited to 'main/audacious/APKBUILD')
-rw-r--r--main/audacious/APKBUILD29
1 files changed, 24 insertions, 5 deletions
diff --git a/main/audacious/APKBUILD b/main/audacious/APKBUILD
index 93ce524430..51b8c09cba 100644
--- a/main/audacious/APKBUILD
+++ b/main/audacious/APKBUILD
@@ -1,25 +1,44 @@
# Contributor: William Pitcock <nenolod@dereferenced.org>
# Maintainer: William Pitcock <nenolod@dereferenced.org>
pkgname=audacious
-pkgver=3.2
-pkgrel=1
+pkgver=3.2.2
+pkgrel=0
pkgdesc="playlist-oriented media player with multiple interfaces"
url="http://audacious-media-player.org/"
arch="all"
license="ISC"
depends=
depends_dev="libmowgli-dev libmcs-dev gtk+-dev dbus-glib-dev"
-makedepends="$depends_dev libguess-dev libxml2-dev"
+makedepends="$depends_dev libguess-dev libxml2-dev autoconf automake"
install=
subpackages="$pkgname-dev $pkgname-lang"
-source="http://distfiles.audacious-media-player.org/$pkgname-$pkgver.tar.gz"
+source="http://distfiles.audacious-media-player.org/$pkgname-$pkgver.tar.gz
+ audacious-3.2.2-fix-build-gmodule.patch
+ "
source /usr/share/abuildhelper/rules/base.sh
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+
+ for i in $source; do
+ case $i in
+ *.patch)
+ msg "Applying $i..."
+ patch -s -p1 -N -i "$srcdir"/$i || return 1
+ ;;
+ esac
+ done
+
+ msg "Rebuilding configure..."
+ aclocal -I m4 && autoheader && autoconf || return 1
+}
using autotools
using makeinstall
using plugin atheme-buildsys
ac_enable_opt chardet
-md5sums="7ee79d8314104534cf1c66c8c212515b audacious-3.2.tar.gz"
+md5sums="e7b1fc6eaf2acfcceb77ba8c98d113ee audacious-3.2.2.tar.gz
+7abde75797b18a2f9a3177027787213f audacious-3.2.2-fix-build-gmodule.patch"